import { __assign, __awaiter, __generator } from "tslib";
import { HttpRequest } from "@aws-sdk/protocol-http";
export function acceptHeaderMiddleware() {
    var _this = this;
    return function (next) {
        return function (args) { return __awaiter(_this, void 0, void 0, function () {
            var request;
            return __generator(this, function (_a) {
                request = args.request;
                if (HttpRequest.isInstance(request)) {
                    request.headers = __assign(__assign({}, request.headers), { accept: "application/json" });
                }
                return [2, next(__assign(__assign({}, args), { request: request }))];
            });
        }); };
    };
}
export var acceptHeaderMiddlewareOptions = {
    step: "build",
    tags: ["SET_ACCEPT_HEADER", "ACCEPT_HEADER"],
    name: "acceptHeaderMiddleware",
    override: true,
};
export var getAcceptHeaderPlugin = function (unused) { return ({
    applyToStack: function (clientStack) {
        clientStack.add(acceptHeaderMiddleware(), acceptHeaderMiddlewareOptions);
    },
}); };
